package com.emato.ccnet.biz.req;

import com.emato.ccnet.cus.message.req.CebReqRoot;

import java.util.Map;

/**
 * 海关单证报文生成
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 10:15
 */
public interface CebReqMessage {

    /**
     * 生成报文
     * @param bizParams
     * @param messageType
     * @param orderNo
     * @param <T>
     * @return
     */
    <T extends CebReqRoot> T buildMessage(Map<String, Object> bizParams, String messageType, String orderNo);

}
