package com.emato.ccnet.biz.req.pay.icbc;

import com.emato.ccnet.biz.req.CebReqSend;
import com.emato.ccnet.config.Cus;
import com.emato.ccnet.util.FileUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 海关支付单 发送
 * @author Scott Chen
 * @version 1.0
 * 2017-11-07 19:23
 */
@Component
public class Ceb411PayBillSend implements CebReqSend {
    private static final Logger LOGGER = LoggerFactory.getLogger(Ceb411PayBillSend.class);

    @Autowired
    private Cus cus;

    @Override
    public boolean send(String msgXml, String cebType, String msgFileName, String orderNo) {
        LOGGER.info("--- 业务:【{}】,订单:【{}】,文件名:【{}】,报文xml输出开始......", cebType, orderNo, msgFileName);

        boolean bl = FileUtil.writeFile(msgXml, cus.getMessage().get("saveDir"), msgFileName);

        LOGGER.info("--- 业务:【{}】,订单:【{}】,文件名:【{}】,报文xml输出结束", cebType, orderNo, msgFileName);
        return bl;
    }
}
