package com.emato.ccnet.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

@Component
@ConfigurationProperties(prefix="cus") //接收application.yml中的pays下面的属性
public class Cus  implements Serializable {
    private static final long serialVersionUID = -2913008001943191086L;

    private Map<String, String> alipay = new HashMap<>(); //接收alipay里面的属性值
    private Map<String, String> order = new HashMap<>(); //接收order里面的属性值
    private Map<String, String> waybill = new HashMap<>(); //接收waybill里面的属性值
    private Map<String, String> message = new HashMap<>();//接收message里面的属性值

    public Map<String, String> getAlipay() {
        return alipay;
    }

    public void setAlipay(Map<String, String> alipay) {
        this.alipay = alipay;
    }

    public Map<String, String> getOrder() {
        return order;
    }

    public void setOrder(Map<String, String> order) {
        this.order = order;
    }

    public Map<String, String> getWaybill() {
        return waybill;
    }

    public void setWaybill(Map<String, String> waybill) {
        this.waybill = waybill;
    }

    public Map<String, String> getMessage() {
        return message;
    }

    public void setMessage(Map<String, String> message) {
        this.message = message;
    }
}
