package com.emato.ccnet.domain.ccnet;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 
 */
public class CusPaymentCollect implements Serializable {
    private static final long serialVersionUID = -9093310969448927952L;
    /**
     * 支付单内部编号
     */
    private String cusPaySn;

    /**
     * ccnet订单编号，20位
     */
    private String orderSn;

    /**
     * 商户订单编号
     */
    private String merchOrderSn;

    /**
     * 商户编号
     */
    private String merchSn;

    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;

    /**
     * 支付企业唯一的支付流水号
     */
    private String payTransactionId;

    /**
     * 支付公司标识，00:支付宝，10:微信，20:工行
     */
    private String payCompanyFlag;

    /**
     * 备注
     */
    private String note;

    /**
     * 创建人编号
     */
    private String createrSn;

    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;

    /**
     * 修改人编号
     */
    private String moderSn;

    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;

    /**
     * 时间戳
     */
    private Date tstm;

    public String getCusPaySn() {
        return cusPaySn;
    }

    public void setCusPaySn(String cusPaySn) {
        this.cusPaySn = cusPaySn;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getMerchOrderSn() {
        return merchOrderSn;
    }

    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    public String getPayTransactionId() {
        return payTransactionId;
    }

    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    public String getPayCompanyFlag() {
        return payCompanyFlag;
    }

    public void setPayCompanyFlag(String payCompanyFlag) {
        this.payCompanyFlag = payCompanyFlag;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CusPaymentCollect other = (CusPaymentCollect) that;
        return (this.getCusPaySn() == null ? other.getCusPaySn() == null : this.getCusPaySn().equals(other.getCusPaySn()))
            && (this.getOrderSn() == null ? other.getOrderSn() == null : this.getOrderSn().equals(other.getOrderSn()))
            && (this.getMerchOrderSn() == null ? other.getMerchOrderSn() == null : this.getMerchOrderSn().equals(other.getMerchOrderSn()))
            && (this.getMerchSn() == null ? other.getMerchSn() == null : this.getMerchSn().equals(other.getMerchSn()))
            && (this.getThirdPartyMerchCode() == null ? other.getThirdPartyMerchCode() == null : this.getThirdPartyMerchCode().equals(other.getThirdPartyMerchCode()))
            && (this.getPayTransactionId() == null ? other.getPayTransactionId() == null : this.getPayTransactionId().equals(other.getPayTransactionId()))
            && (this.getPayCompanyFlag() == null ? other.getPayCompanyFlag() == null : this.getPayCompanyFlag().equals(other.getPayCompanyFlag()))
            && (this.getNote() == null ? other.getNote() == null : this.getNote().equals(other.getNote()))
            && (this.getCreaterSn() == null ? other.getCreaterSn() == null : this.getCreaterSn().equals(other.getCreaterSn()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getModerSn() == null ? other.getModerSn() == null : this.getModerSn().equals(other.getModerSn()))
            && (this.getModTime() == null ? other.getModTime() == null : this.getModTime().equals(other.getModTime()))
            && (this.getTstm() == null ? other.getTstm() == null : this.getTstm().equals(other.getTstm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCusPaySn() == null) ? 0 : getCusPaySn().hashCode());
        result = prime * result + ((getOrderSn() == null) ? 0 : getOrderSn().hashCode());
        result = prime * result + ((getMerchOrderSn() == null) ? 0 : getMerchOrderSn().hashCode());
        result = prime * result + ((getMerchSn() == null) ? 0 : getMerchSn().hashCode());
        result = prime * result + ((getThirdPartyMerchCode() == null) ? 0 : getThirdPartyMerchCode().hashCode());
        result = prime * result + ((getPayTransactionId() == null) ? 0 : getPayTransactionId().hashCode());
        result = prime * result + ((getPayCompanyFlag() == null) ? 0 : getPayCompanyFlag().hashCode());
        result = prime * result + ((getNote() == null) ? 0 : getNote().hashCode());
        result = prime * result + ((getCreaterSn() == null) ? 0 : getCreaterSn().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getModerSn() == null) ? 0 : getModerSn().hashCode());
        result = prime * result + ((getModTime() == null) ? 0 : getModTime().hashCode());
        result = prime * result + ((getTstm() == null) ? 0 : getTstm().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cusPaySn=").append(cusPaySn);
        sb.append(", orderSn=").append(orderSn);
        sb.append(", merchOrderSn=").append(merchOrderSn);
        sb.append(", merchSn=").append(merchSn);
        sb.append(", thirdPartyMerchCode=").append(thirdPartyMerchCode);
        sb.append(", payTransactionId=").append(payTransactionId);
        sb.append(", payCompanyFlag=").append(payCompanyFlag);
        sb.append(", note=").append(note);
        sb.append(", createrSn=").append(createrSn);
        sb.append(", createTime=").append(createTime);
        sb.append(", moderSn=").append(moderSn);
        sb.append(", modTime=").append(modTime);
        sb.append(", tstm=").append(tstm);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}