package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusWaybillGoods;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusWaybillGoodsMapper {
    /**
     * 单个插入海关运单商品
     * @param record
     * @return
     */
    int insert(CusWaybillGoods record);

    int insertSelective(CusWaybillGoods record);

    /**
     * 批量插入海关运单商品
     * @param cusWaybillGoodes
     * @return
     */
    int insertCusWaybillGoodsItemBatch(List<CusWaybillGoods> cusWaybillGoodes);

    /**
     * 通过商户订单编号查找运单商品
     * @param merchOrderSn
     * @return
     */
    List<CusWaybillGoods> findCusWaybillGoodsByOrderSn(String merchOrderSn);

}