package com.emato.ccnet.service.ccent;

import com.emato.ccnet.domain.ccnet.CusAlipayStatus;

import java.util.List;
import java.util.Map;

public interface CusAlipayStatusService {

    /**
     * 通过编号查找支付单阿里状态表
     * @param map
     * @return
     */
    CusAlipayStatus findCusAlipayStatus(Map<String, Object> map);

    /**
     * 更新支付单阿里状态
     * @param cusAlipayStatus
     * @return
     */
    int updateCusAlipayStatus(CusAlipayStatus cusAlipayStatus);

    /**
     * 批量更新支付单阿里状态
     * @param list
     * @return
     */
    int updateCusAlipayStatusBatch(List list);
}
