package com.emato.ccnet.task;

import com.emato.ccnet.biz.req.order.csp.Ceb311OrderBiz;
import com.emato.ccnet.biz.req.pay.alipay.Ceb411AlipayBiz;
import com.emato.ccnet.biz.req.waybill.oms.Ceb511OmsWayBiz;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zengjunlin
 * @version 1.0
 * 2017-12-14 14:08
 */
@Component
public class CcnetTask {
    @Autowired
    private Ceb411AlipayBiz ceb411PayBillBiz;

    @Autowired
    private Ceb311OrderBiz ceb311OrderBiz;

    @Autowired
    private Ceb511OmsWayBiz ceb511OmsWayBiz;

    @Scheduled(fixedRate = 10000)
    public void task(){
        //电子订单
        ceb311OrderBiz.biz();

        //展示备货
        ceb511OmsWayBiz.biz();
    }

}
