/**
 * @author Scott Chen
 * @version 1.0
 * 2017-11-06 20:08
 */

(function (window, $, undefined) {

    var _changePay = function () {
        var $payId = $("#payId"), $push = $("#push"), $create = $("#create");
        var val = $payId.val();

        if (val == 'alipay') {
            $push.removeAttr("disabled");
            $create.attr("disabled", "disabled");
        } else if (val == 'icbc') {
            $push.attr("disabled", "disabled");
            $create.removeAttr("disabled");
        } else {
            $push.attr("disabled", "disabled");
            $create.attr("disabled", "disabled");
        }
    };

    //海关电子订单,运单
    var _orderWaybill = function () {
        var sellerId, param = {}, txt='';
        $sellId = $("#sellerId"),
            $suc = $("#suc"),
            $failed = $("#failed");


        if($sellId.val()=='-') {
            alert('请选择商家');
            return false;
        }

        sellerId = $sellId.val();
        var json = {};
        json.sellerId = sellerId;

        param.data = JSON.stringify(json);
        param.url = svr_url + '/kmall/cusOrderWaybill';
        param.returnAll = false;
        var _cb = function(data) {
            if (!data || $.isEmptyObject(data)) {
                alert("服务端没有请求消息返回");
                return false;
            }
            if(data.rows && data.rows.length>0) {
                for(var i=0;i<data.rows.length;i++) {
                    if(data.rows[i]['suc']) {
                        var rec = data.rows[i]['suc'];
                        $suc.text("成功订单:" + rec);
                    }else if(data.rows[i]['failed']) {
                        var rec = data.rows[i]['failed'];
                        $failed.text("失败订单:" + rec);
                    }else {
                        $suc.text("没有成功和失败记录");
                    }
                }
            }
        };
        Req.iAjax(param, _cb, null, null);
    };

    //海关支付单
    var _payBill = function () {
        var sellerId, param = {}, txt='';
        $sellId = $("#sellerId"),
            $suc = $("#suc_pay"),
            $failed = $("#failed_pay");


        if($sellId.val()=='-') {
            alert('请选择商家');
            return false;
        }

        sellerId = $sellId.val();
        var json = {};
        json.sellerId = sellerId;

        param.data = JSON.stringify(json);
        param.url = svr_url + '/kmall/cusPayBill';
        param.returnAll = false;
        var _cb = function(data) {
            if (!data || $.isEmptyObject(data)) {
                alert("服务端没有请求消息返回");
                return false;
            }
            if(data.rows && data.rows.length>0) {
                for(var i=0;i<data.rows.length;i++) {
                    if(data.rows[i]['suc']) {
                        var rec = data.rows[i]['suc'];
                        $suc.text("成功订单:" + rec);
                    }else if(data.rows[i]['failed']) {
                        var rec = data.rows[i]['failed'];
                        $failed.text("失败订单:" + rec);
                    }else {
                        $suc.text("没有成功和失败记录");
                    }
                }
            }

        };
        Req.iAjax(param, _cb, null, null);
    };

    var _icbcPayBill = function () {
        var sellerId, param = {}, txt='';
        $sellId = $("#sellerId"),
            $suc = $("#suc_pay"),
            $failed = $("#failed_pay");


        if($sellId.val()=='-') {
            alert('请选择商家');
            return false;
        }

        sellerId = $sellId.val();
        var json = {};
        json.sellerId = sellerId;

        param.data = JSON.stringify(json);
        param.url = svr_url + '/kmall/cusIcbcPayBill';
        param.returnAll = false;
        var _cb = function(data) {
            if (!data || $.isEmptyObject(data)) {
                alert("服务端没有请求消息返回");
                return false;
            }
            if(data.rows && data.rows.length>0) {
                for(var i=0;i<data.rows.length;i++) {
                    if(data.rows[i]['suc']) {
                        var rec = data.rows[i]['suc'];
                        $suc.text("成功订单:" + rec);
                    }else if(data.rows[i]['failed']) {
                        var rec = data.rows[i]['failed'];
                        $failed.text("失败订单:" + rec);
                    }else {
                        $suc.text("没有成功和失败记录");
                    }
                }
            }

        };
        Req.iAjax(param, _cb, null, null);
    };

    var expose = function () {
        return {
            orderWaybill: function() {
                return _orderWaybill();
            },
            payBill: function() {
                return _payBill();
            },
            icbcPayBill: function() {
                return _icbcPayBill();
            },
            changePay: function() {
                return _changePay();
            }
        }
    }();

    window.top.Cus = window.Cus = expose;

})(window, jQuery);




(function (window, $, undefined) {

    //商户信息
    var _seller = function () {

        var sellerId = $("#sellerId"), json = {}, param = {};

        sellerId.html('<option value="-">请选择</option>');

        json.isDel = "0";

        param.data = JSON.stringify(json);
        param.url = svr_url + '/kmall/getSeller';
        param.returnAll = false;
        var _cb = function(data) {
            if (!data || $.isEmptyObject(data)) {
                alert("服务端没有请求消息返回");
                return false;
            }
            if(data.rows && data.rows.length>0) {
                for(var i=0;i<data.rows.length;i++) {
                    if(data.rows[i]) {
                        var row = data.rows[i];
                        sellerId.append('<option value="' + row.id + '">' + row.trueName + '</option>');
                    }
                }
            }

        };
        Req.iAjax(param, _cb, null, null);
    };

    var expose = function () {
        return {
            seller: function() {
                return _seller();
            }
        }
    }();

    window.top.Seller = window.Seller = expose;

})(window, jQuery);

$(function () {
    Seller.seller();
})
