package com.emato.ccnet.cus.message.req.ceb411;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import java.io.Serializable;

/**
 * 海关支付单 报文体
 * Java报文对象转XML
 *
 * 报文体(1:1)=表头(1:1)
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-11-06 23:47
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class Ceb411Payment implements Serializable {

    private static final long serialVersionUID = 6871721188732967001L;

    /**
     * 表头(1:1)
     */
    @XmlElement(name="PaymentHead")
    private Ceb411PaymentHead cEB411PaymentHead;

    @Override
    public String toString() {
        return "{" +
                "PaymentHead=" + cEB411PaymentHead +
                '}';
    }

    public Ceb411PaymentHead getCEB411PaymentHead() {
        return cEB411PaymentHead;
    }

    public void setCEB411PaymentHead(Ceb411PaymentHead Ceb411PaymentHead) {
        this.cEB411PaymentHead = Ceb411PaymentHead;
    }
}
