package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusAlipay;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusAlipayMapper {

    /**
     * 单个插入海关支付单阿里云表
     * @param record
     * @return
     */
    int insert(CusAlipay record);

    int insertSelective(CusAlipay record);

    /**
     * 批量插入海关支付单阿里云表
     * @param cusAlipays
     * @return
     */
    int insertCusAlipayItemBatch(List<CusAlipay> cusAlipays);

    /**
     * 取得ccnet中的海关支付单阿里云表
     * @return
     */
    List<CusAlipay> getCusAlipay();
}