package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusOrderGoods;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CusOrderGoodsMapper {
    /**
     * 单个插入海关电子订单商品表
     * @param record
     * @return
     */
    int insert(CusOrderGoods record);

    int insertSelective(CusOrderGoods record);

    /**
     * 批量插入海关电子订单商品表
     * @param cusOrderGoodes
     * @return
     */
    int insertCusOrderGoodsItemBatch(List<CusOrderGoods> cusOrderGoodes);


    /**
     * 通过电子订单内部编号更新数据
     * @param cusOrderGoods
     * @return
     */
    int updateCusOrederGoods(CusOrderGoods cusOrderGoods);

    /**
     * 通过电子订单内部编号查找电子订单商品号
     * @param cusOrderSn
     * @return
     */
    List<CusOrderGoods> findCusOrderGoodsByCusOrderSn(String cusOrderSn);
}