package com.emato.ccnet.mapper.ccnet;

import com.emato.ccnet.domain.ccnet.CusWaybill;
import com.emato.ccnet.domain.ccnet.CusWaybillStatus;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CusWaybillMapper {
    /**
     * 单个插入海关运单
     * @param record
     * @return
     */
    int insert(CusWaybill record);

    int insertSelective(CusWaybill record);

    /**
     * 批量插入海关运单
     * @param list
     * @return
     */
    int insertCusWaybillItemBatch(List<CusWaybill> list);

    /**
     * 查找海关运单
     * @return
     */
    List<CusWaybill> findAllCusWaybill();


    CusWaybill findCusWaybillByOrderNo(String orderNo);
}