package com.emato.ccnet.service.ccent;

import com.emato.ccnet.domain.ccnet.CusOrderStatus;

import java.util.List;
import java.util.Map;

public interface CusOrderStatusService {

    /**
     * 单个更新电子订单状态表
     * @return
     */
    int updateCusOrderStatus(CusOrderStatus cusOrderStatus);

    /**
     * 批量更新电子订单状态
     * @param list
     * @return
     */
    int updateCusOrderStatusBatch(List list);

    /**
     * 通过订单编号查找电子订单表
     * @param param
     * @return
     */
    CusOrderStatus findCusOrderStatus(Map<String, Object> param);


}
